Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006037 [JEDI VCL] 00 JVCL Components major always 2012-11-28 15:15 2015-09-14 13:20
Reporter trident_job View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.47
Summary 0006037: Writing to TJvListview.ItemIndex act differently from TListview
Description When trying to assign a value to JvListView.ItemIndex, the first item in the list is always selected, not the index assigned to ItemIndex property !

This feature works perfectly with the VCL TListview component.

Additional Information Context:
JVCL v3.47 (JVCL347CompleteJCL241-Build4571)
Delphi XE
Windows XP
Tags No tags attached.
Attached Files 7z file icon JVCL0006037-JvTreeview_ItemIndex.7z [^] (662,867 bytes) 2012-11-28 15:19

- Relationships

-  Notes
(0020308)
trident_job (reporter)
2012-11-28 15:21

Added a DelphiXE project to reproduce the issue.

There is a timer that clear the content of the JvListView, add items, and restore the previously selected item.
It doeasn't work as expected as the selection is always the first item in the list (index 0).

It works perfectly with the standard vcl TListview, and you can verify this is the example, I've implemented the two component.
(0020515)
AHUser (developer)
2013-05-25 16:32

Fixed in svn revision 13526.

- Issue History
Date Modified Username Field Change
2012-11-28 15:15 trident_job New Issue
2012-11-28 15:19 trident_job File Added: JVCL0006037-JvTreeview_ItemIndex.7z
2012-11-28 15:21 trident_job Note Added: 0020308
2012-11-28 15:21 trident_job Issue Monitored: trident_job
2013-01-15 16:00 obones Status new => acknowledged
2013-05-25 16:32 AHUser Note Added: 0020515
2013-05-25 16:32 AHUser Status acknowledged => resolved
2013-05-25 16:32 AHUser Fixed in Version => Daily / SVN
2013-05-25 16:32 AHUser Resolution open => fixed
2013-05-25 16:32 AHUser Assigned To => AHUser
2015-09-14 13:20 obones Fixed in Version Daily / GIT => 3.48


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker